"use strict";

const nixTypes = require("./_nix-types");

module.exports = {
	name: "let-in",
	visitors: {
		NixLetIn: (node) => {
			return nixTypes.NixAttributeSelection(
				nixTypes.NixAttributeSet([
					... node.bind,
					nixTypes.NixBinding(
						[ nixTypes.NixAttributeIdentifier("$$jsNix$letBody") ],
						node.body
					)
				], true),
				[ nixTypes.NixAttributeIdentifier("$$jsNix$letBody") ]
			);
		}
	}
};
